﻿using System;
namespace Core.Logic
{
  public interface IUserAccountSqlAzureAction
  {
    void CreateUserAccount(Core.Models.UserAccount useraccount);

    Core.DataAccess.IUserAccountDB DB { get; set; }

    Core.Models.UserAccount GetUserAccountByUserId(Guid userId, Guid accountId);

    Core.Models.UserAccount[] GetUserAccounts(Guid userId);

    void UpdateuserAccountBalance(Guid accountId, double balance, byte[] updateTag);

    void UpdateUserAccountBalance(Guid userId, Guid accountId, double amount);
  }
}
