﻿
namespace Core.Types
{
  public enum StorageTableNames
  {
    UserTable,
    UserAccountTable,
    AccountTransactionTable
  }
  public enum AccountType : short
  {
    Regular = 0,
    Advanced = 1,
    Secret = 2
  }
  public enum AccountStatus : short
  {
    Online = 0,
    Offline = 1,
    Suspended = 2,
    UnKnown = 3
  }
  public enum TransactionStatus : short
  {
    Failed = 0,
    Succeded = 1,
    Proceed = 2,
    UnKnown = 3,
    Completed = 4
  }
}
