﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Core.DataAccess;

namespace Core.Logic
{
  //TODO validate inarguments catch & throw correct exception, ...
  public class UserAction : Core.Logic.IUserAction
  {
    public IUserDB DB { get; set; }
    public UserAction(IUserDB db)
    {
      DB = db;
    }
    public void CreateUser(Core.Models.User user)
    {
      try
      {
        if (user != null)
          DB.CreateUser(user);
      }
      catch
      {throw;}
    }
    public Core.Models.User GetUserByUserId(Guid userId)
    {
      Core.Models.User user=null;
      try
      {
        if (userId != Guid.Empty)
          user= DB.GetUserByUserId(userId);
        return user;
      }
      catch
      { throw; }
    }
  }
}
