﻿using System;
using System.Runtime.Serialization;

namespace Core.Models
{
  /// <summary>
  /// bankaccount number is currency|accountid
  /// when responding with this contract transform string to correct 
  /// </summary>
  [DataContract]
  public class UserAccountWwi : IExtensibleDataObject
  {
   
    [DataMember(IsRequired = true)]
    public string BankAccountNumber { get; set; }

    [DataMember(IsRequired = true)]
    public Guid UserId { get; set; }

    [DataMember(IsRequired = true)]
    public double Balance { get; set; }

    [DataMember(IsRequired = true)]
    public string Country { get; set; }

    private ExtensionDataObject _extensionData;
    public ExtensionDataObject ExtensionData
    {
      get{return this._extensionData;}
      set{this._extensionData = value;}
    }

    public UserAccountWwi()
    {
    }
  }

}
