﻿using System.ServiceModel;
using Core.Types;

namespace Core.Services
{
  [ServiceContract]
  public interface IAccountTransaction
  {
    [OperationContract]
    TransactionStatus SetMoney(Core.TableStorage.UserAccountTransaction accountTransaction);

    [OperationContract]
    TransactionStatus RedrawMoney(Core.TableStorage.UserAccountTransaction accountTransaction);

    [OperationContract]
    TransactionStatus HandleMoney(Core.TableStorage.UserAccountTransaction accountTransaction);
  }
}
