﻿using System;
using System.ComponentModel;
using Microsoft.WindowsAzure.StorageClient;

namespace Core.TableStorage
{
  [Description("PartitionKey=UserId, Rowkey=AccountId")]
    public class UserAccountBalance : TableServiceEntity
  {
    public double Balance { get; set; }
    public UserAccountBalance()
      : base(Guid.NewGuid().ToString(), Guid.NewGuid().ToString())
    {
    }
    public UserAccountBalance(Guid userId, Guid accountId)
      : base(userId.ToString(), accountId.ToString())
    {
    }
  }
}
