﻿using System;
using Core.DataAccess;

namespace Core.Logic
{
  public class UserAccountSqlAzureAction : Core.Logic.IUserAccountSqlAzureAction
  {
    public IUserAccountDB DB { get; set; }
    public UserAccountSqlAzureAction(IUserAccountDB db)
    {
      DB = db;
    }
    public void UpdateUserAccountBalance(Guid userId, Guid accountId, double amount)
    {
      //validate inarguments!!!
      try
      {
        var acoutn = DB.GetUserAccountByUserId(userId, accountId);
        DB.UpdateuserAccountBalance(accountId, amount, acoutn.UpdateTag);
      }
      catch
      { throw; }
    }
    public void CreateUserAccount(Core.Models.UserAccount useraccount)
    {
      //validate inarguments!!!
      try
      {
        DB.CreateUserAccount(useraccount);
      }
      catch { throw; }
    }
    public Core.Models.UserAccount GetUserAccountByUserId(Guid userId, Guid accountId)
    {
      //validate inarguments!!!
      try
      {
        return DB.GetUserAccountByUserId(userId, accountId);
      }
      catch { throw; }
    }
    public Core.Models.UserAccount[] GetUserAccounts(Guid userId)
    {
      //validate inarguments!!!
      try
      {
        return DB.GetUserAccounts(userId);
      }
      catch { throw; }
    }
    public void UpdateuserAccountBalance(Guid accountId, double balance, byte[] updateTag)
    {
      //validate inarguments!!!
      try
      {
        DB.UpdateuserAccountBalance(accountId, balance, updateTag);
      }
      catch { throw; }
    }
    
  }
}
